7 Replies Latest reply on Aug 12, 2014 4:39 AM by Ar K

    Cutting a Component in assembly

    Ar K

      Hi :-)

      I have an ejector pin in my mold, i want to cutting top of this pin by Core Surface.

      please help me.

        • Re: Cutting a Component in assembly
          Patrick O'Hern

          Edit the ejector pin while in context of the assembly.  Copy the surface of the core that you want to use to cut with, then add a Cut With Surface feature.

            • Re: Cutting a Component in assembly
              Ar K

              Copy the surface of the core : How do this ?

              add a Cut With Surface feature: How do this ?

                • Re: Cutting a Component in assembly
                  Shivbhadrasinh Gohil

                  Capture1.JPG

                  Knit cutting surface from core via mold assembly.

                  Capture2.JPG

                  Then go to INSERT:- CUT:- WITH SURFACE

                   

                  Capture3.JPG

                  Capture4.JPG

                  DONE ... then hide knit surface..

                   

                  Capture5.JPG

                    • Re: Cutting a Component in assembly
                      Ar K

                        after hard track and try I found a very simple way for this job :

                       

                      1- creating Sketch in top face of ejector pin with "Convert entities" Command and getting a circle :

                      1-Sketch.png

                      2- "extrude cutting" ejector pin with this sketch with "up to surface" End condition :

                      2-ExtrudeCut.png

                      3- Result :

                      3-Result.png

                      4- Macro for this job in vb.net :

                       

                      Imports SolidWorks.Interop.sldworks

                      Imports SolidWorks.Interop.swconst

                      Imports System.Runtime.InteropServices

                      Imports System

                       

                      Partial Class SolidWorksMacro

                          Public Sub main()

                              Dim swDoc As ModelDoc2 = Nothing

                              Dim swAssembly As AssemblyDoc = Nothing

                              Dim myFeature As Feature = Nothing

                              Dim boolstatus As Boolean = False

                       

                              swDoc = swApp.ActiveDoc

                              swAssembly = swDoc

                       

                              boolstatus = swDoc.Extension.SelectByID2("EjectorPin-2@Mold", "COMPONENT", 0, 0, 0, False, 0, Nothing, 0)

                              swAssembly.EditPart()

                       

                              swDoc.ClearSelection2(True)

                              boolstatus = swDoc.Extension.SelectByID2("Sketch5@EjectorPin-2@Mold", "SKETCH", 0, 0, 0, False, 4, Nothing, 0)

                              boolstatus = swDoc.Extension.SelectByID2("", "FACE", -0.1391140175160217, 0.033771894119240642, _

                                                                                            0.24328373185664987, True, 1, Nothing, 0)

                       

                              myFeature = swDoc.FeatureManager.FeatureCut3(True, False, False, 4, 0, 0.01, 0.01, False, False, False, False, _

                                                                                                        0, 0, False, False, False, False, False, True, True, True, True, _

                                                                                                        False, 0, 0, False)

                              swAssembly.EditAssembly()

                              swDoc.ClearSelection2(True)

                          End Sub

                       

                          Public swApp As SldWorks

                       

                      End Class

                • Re: Cutting a Component in assembly
                  Deepak Gupta

                  Are you looking to do it via API/Macro?